bitel.billing.server.admin.bgsecure.bean

## Class MenuRestrictManager

- java.lang.Object
- - bitel.billing.server.admin.bgsecure.bean.MenuRestrictManager

-     public class MenuRestrictManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuRestrictManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroupMenuRestriction(int gid, java.lang.String menu, boolean hide)`
    `void` | `addUserMenuRestriction(int uid, java.lang.String menu, boolean hide)`
    `void` | `deleteGroupMenuRestriction(int gid, java.lang.String menu)`
    `void` | `deleteUserMenuRestriction(int uid, java.lang.String menu)`
    `RestrictionMap` | `getMenuAccessListForUser(int userID)`
    `java.util.Map<java.lang.String,java.lang.Boolean>` | `getMenuRestrictionsForGroup(int gid)`
    `java.util.Map<java.lang.String,java.lang.Boolean>` | `getMenuRestrictionsForUser(int uid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuRestrictManager

          public MenuRestrictManager(java.sql.Connection con)

  - ### Method Detail

    - #### getMenuRestrictionsForUser

          public java.util.Map<java.lang.String,java.lang.Boolean> getMenuRestrictionsForUser(int uid)

    - #### getMenuRestrictionsForGroup

          public java.util.Map<java.lang.String,java.lang.Boolean> getMenuRestrictionsForGroup(int gid)

    - #### addGroupMenuRestriction

          public void addGroupMenuRestriction(int gid,
                                              java.lang.String menu,
                                              boolean hide)

    - #### deleteGroupMenuRestriction

          public void deleteGroupMenuRestriction(int gid,
                                                 java.lang.String menu)

    - #### addUserMenuRestriction

          public void addUserMenuRestriction(int uid,
                                             java.lang.String menu,
                                             boolean hide)

    - #### deleteUserMenuRestriction

          public void deleteUserMenuRestriction(int uid,
                                                java.lang.String menu)

    - #### getMenuAccessListForUser

          public RestrictionMap getMenuAccessListForUser(int userID)